<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Update Customer - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <link rel="stylesheet" type="text/css" href="./media/css/date_input.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/jquery.date_input.min.js"></script>
        <script type="text/javascript" src="./media/js/customer.js"></script>
        <script type="text/javascript" >
            $(document).ready(function () {
                $($.date_input.initialize);
                $("#area_id").val("<?php echo $customer['area_id'] ?>");
                $("#gender").val("<?php echo $customer['gender'] ?>");
                $("#birthday").val("<?php echo(stripcslashes($customer['birthday'])); ?>");
                $("#hierarchy_id").val("<?php echo $customer['hierarchy_id'] ?>");
                $("#time_zone").val("<?php echo $customer['time_zone'] ?>");
<?php
  echo($jquery_string);
?>
      });

      $(function() {
          $("#birthday").date_input();
      })
          </script>

      </head>
      <body>
          <div id="header">
              <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
              <div id="search">
                  <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                      <span id="search_input">
                          <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                      </span> <span id="search_btn">
                          <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                      <input name="c" type="hidden" value="ticket" />
                  </form>
              </div>
          </div>
          <div id="location">
              <ul>
                  <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                  <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                  <li><?php echo($lang['edit_contact']); ?></li>
              </ul>
          </div>
          <div id="wrapper">
              <div id="leftside">
                  <div id="nav_profile">
                      <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                      <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                      <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                  </div>
                  <div class="clear"></div>
                  <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                  <div class="clear"></div>

                  <div>
                    <?php echo($menu); ?>
                  </div>
              </div>
              <div id="rightside">
                  <div id="content">
                      <form action="index.php?c=customer&m=update" method="post" name="updatecustomer" enctype="multipart/form-data" id="updateCustomer">
                          <table width="100%" border="0" cellspacing="0" cellpadding="0" class="formTable">
                              <tr>
                                  <td width="180"><?php echo($lang['first_name']); ?><span class="required"></span></td>
                                  <td><input type="text" name="data[first_name]" id="first_name" value="<?php echo $customer['first_name'] ?>" class="form-input" size="30"  onclick="return clickIpt($(this))" /></td>
                              </tr>
                            <?php
                              if ($setting['has_lastname'] == 1) {
                            ?>
                                  <tr>
                                      <td><?php echo($lang['last_name']); ?></td>
                                      <td><input type="text" name="data[last_name]" id="last_name" value="<?php echo $customer['last_name'] ?>" class="form-input" size="30"  onclick="return clickIpt($(this))" /></td>
                                  </tr>
                            <?php
                              }
                            ?>
                              <tr>
                                  <td><?php echo($lang['email']); ?><span class="required"></span></td>
                                  <td><input type="text" name="data[email]" id="email" value="<?php echo $customer['email'] ?>" class="form-input" size="50"  onclick="return clickIpt($(this))" /></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['company_name']); ?></td>
                                  <td><input type="text" name="data[company_name]" id="company_name" value="<?php echo $customer['company_name'] ?>" class="form-input" size="50"  onclick="return clickIpt($(this))" /></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['telephone']); ?></td>
                                  <td><input type="text" name="data[telephone]" id="telephone" value="<?php echo $customer['telephone'] ?>" class="form-input" size="50"  onclick="return clickIpt($(this))" /></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['address']); ?></td>
                                  <td><input type="text" name="data[address]" id="address" value="<?php echo $customer['address'] ?>" class="form-input" size="50"  onclick="return clickIpt($(this))" /></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['web_site']); ?></td>
                                  <td><input type="text" name="data[web_site]" id="web_site" value="<?php echo $customer['web_site'] ?>" class="form-input" size="50"  onclick="return clickIpt($(this))" /></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['area']); ?></td>
                                  <td><select name="data[area_id]" id="area_id">
                                          <option value="0"><?php echo($lang['unknow']); ?></option>
                                        <?php
                                          foreach ($area_list as $key=>$area) {
                                        ?>
                                              <option value="<?php echo($key); ?>"><?php echo($area); ?></option>
                                        <?php
                                          }
                                        ?>
                                      </select></td>
                              </tr>
                              <tr>
                                <td>Hierarchy</td>
                                <td><select name="data[hierarchy_id]" id="hierarchy_id">
                                        <option value=""><?php echo($lang['unknow']); ?></option>
                                        <?php
                                        foreach ($hierarchy_list as $key => $hierarchy) {
                                        ?>
                                            <option value="<?php echo($key); ?>"><?php echo($hierarchy); ?></option>
                                        <?php
                                        }
                                        ?>
                                    </select></td>
                            </tr>
                              <tr>
                                  <td><?php echo($lang['gender']); ?></td>
                                  <td><select name="data[gender]" id="gender">
                                          <option value="0"><?php echo($lang['unknow']); ?></option>
                                          <option value="1"><?php echo($lang['male']); ?></option>
                                          <option value="2"><?php echo($lang['female']); ?></option>
                                      </select></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['birthday']); ?></td>
                                  <td><input class="input_date"  type="text" id="birthday"  value="<?php echo $customer['birthday'] ?>" name="data[birthday]" /></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['time_zone']); ?></td>
                                  <td><select name="data[time_zone]" id="time_zone">
                                          <option value="-1200">(GMT -12:00) Eniwetok, Kwajalein)</option>
                                          <option value="-1100">(GMT -11:00) Midway Island, Samoa)</option>
                                          <option value="-1000">(GMT -10:00) Hawaii)</option>
                                          <option value="-0900">(GMT -9:00) Alaska)</option>
                                          <option value="-0800">(GMT -8:00) Pacific Time, Los Angeles, Seattle)</option>
                                          <option value="-0700">(GMT -7:00) Mountain Time, Denver)</option>
                                          <option value="-0600">(GMT -6:00) Central Time, Chicago, Mexico City)</option>
                                          <option value="-0500">(GMT -5:00) Eastern Time, New York, Bogota, Lima)</option>
                                          <option value="-0400">(GMT -4:00) Atlantic Time, Caracas, La Paz)</option>
                                          <option value="-0330">(GMT -3:30) Newfoundland)</option>
                                          <option value="-0300">(GMT -3:00) Brazil, Buenos Aires, Georgetown)</option>
                                          <option value="-0200">(GMT -2:00) Mid-Atlantic)</option>
                                          <option value="-0100">(GMT -1:00 hour) Azores, Cape Verde Islands)</option>
                                          <option value="+0000">(GMT) Western Europe Time, London, Lisbon, Casablanca)</option>
                                          <option value="+0100">(GMT +1:00 hour) Brussels, Copenhagen, Madrid, Paris)</option>
                                          <option value="+0200">(GMT +2:00) Kaliningrad, South Africa)</option>
                                          <option value="+0300">(GMT +3:00) Baghdad, Riyadh, Moscow, St. Petersburg)</option>
                                          <option value="+0330">(GMT +3:30) Tehran)</option>
                                          <option value="+0400">(GMT +4:00) Abu Dhabi, Muscat, Baku, Tbilisi)</option>
                                          <option value="+0430">(GMT +4:30) Kabul)</option>
                                          <option value="+0500">(GMT +5:00) Ekaterinburg, Islamabad, Karachi, Tashkent)</option>
                                          <option value="+0530">(GMT +5:30) Bombay, Calcutta, Madras, New Delhi)</option>
                                          <option value="+0600">(GMT +6:00) Almaty, Dhaka, Colombo)</option>
                                          <option value="+0700">(GMT +7:00) Bangkok, Hanoi, Jakarta)</option>
                                          <option value="+0800">(GMT +8:00) Beijing, Perth, Singapore, Hong Kong)</option>
                                          <option value="+0900">(GMT +9:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk)</option>
                                          <option value="+0930">(GMT +9:30) Adelaide, Darwin)</option>
                                          <option value="+1000">(GMT +10:00) Eastern Australia, Guam, Vladivostok)</option>
                                          <option value="+1100">(GMT +11:00) Magadan, Solomon Islands, New Caledonia)</option>
                                          <option value="+1200">(GMT +12:00) Auckland, Wellington, Fiji, Kamchatka)</option>
                                      </select></td>
                              </tr>
                            <?php echo($custom_field); ?>
                                          <tr>
                                              <td>&nbsp;</td>
                                              <td><div class="bottom-options"><input name="submit_btn" type="submit" class="btn big btn-blue" id="submit_btn" value="Save Customer" /></div></td>
                                          </tr>
                                      </table>
                                      <input name="id" type="hidden" value="<?php echo($customer["id"]); ?>"/>
                                  </form>
                              </div>
                              <div id="footer">
                                  <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div class="clear"></div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
        <div id="onlinetimer"></div>
    </body>
</html>
