<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Customer Information - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/iframe.css" media="screen"  />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/ticket.js"></script>
    </head>
    <body>
        <div id="wrapper">
            <div id="subject"></div>
            <div id="content">
                <div id="box">
                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                            <td width="160"><?php echo($lang['first_name']); ?></td>
                            <td><?php echo $customer['first_name'] ?></td>
                        </tr>
                        <?php
                          if ($setting['has_lastname'] == 1) {
                        ?>
                              <tr>
                                  <td><?php echo($lang['last_name']); ?></td>
                                  <td><?php echo $customer['last_name'] ?></td>
                              </tr>
                        <?php
                          }
                        ?>
                          <tr>
                              <td><?php echo($lang['email']); ?>:</td>
                              <td><?php echo $customer['email'] ?></td>
                          </tr>
                          <tr>
                              <td> <?php echo($lang['company_name']); ?>: </td>
                              <td><?php echo $customer['company_name'] ?></td>
                          </tr>
                          <tr>
                              <td><?php echo($lang['telephone']); ?>:  </td>
                              <td><?php echo $customer['telephone'] ?></td>
                          </tr>
                          <tr>
                              <td>  <?php echo($lang['address']); ?>: </td>
                              <td><?php echo $customer['address'] ?> </td>
                          </tr>
                          <tr>
                              <td> <?php echo($lang['web_site']); ?>: </td>
                              <td><?php echo $customer['web_site'] ?> </td>
                          </tr>
                          <tr>
                              <td> <?php echo($lang['web_site']); ?>: </td>
                              <td><?php echo $customer['web_site'] ?> </td>
                          </tr>
                          <tr>
                              <td> <?php echo($lang['area']); ?>: </td>
                              <td> <?php echo($area_list[$customer['area_id']]); ?></td>
                          </tr>
                          <tr>
                              <td>Hierarchy:  </td>
                              <td><?php echo($hierarchy_list[$customer['hierarchy_id']]); ?></td>
                          </tr>
                          <tr>
                              <td> <?php echo($lang['gender']); ?>: </td>
                              <td> <?php echo($lang['gender_status'][$customer['gender']]); ?></td>
                          </tr>
                          <tr>
                              <td><?php echo($lang['birthday']); ?>:</td>
                              <td><?php echo $customer['birthday'] ?></td>
                          </tr>
                          <tr>
                              <td><?php echo($lang['time_zone']); ?>:</td>
                              <td>GMT: <?php echo($customer['time_zone']); ?></td>
                          </tr>
                        <?php
                                      if (count($custom_content)) {
                                          foreach ($custom_content as $val) {
                        ?>
                                              <tr>
                                                  <td><?php echo $val['name'] ?>: </td>
                                                  <td><?php echo $val['content'] ?></td>
                                              </tr>
                        <?php
                                          }
                                      }
                        ?>
                    </table>
                </div>
            </div>
        </div>
        <div id="status"></div>
        <div id="onlinetimer"></div>
    </body>
</html>
