DROP TABLE IF EXISTS `[TB_PREFIX]article`;
CREATE TABLE `[TB_PREFIX]article` (  `id` int(10) NOT NULL AUTO_INCREMENT,  `dept_id` smallint(6) unsigned NOT NULL DEFAULT '0',  `cate_id` int(10) NOT NULL DEFAULT '0',  `folder_name` varchar(100) default NULL, `subject` varchar(255) NOT NULL,  `content` text NOT NULL,  `[TB_PREFIX]public` tinyint(1) unsigned NOT NULL DEFAULT '1',  `[TB_PREFIX]html` tinyint(1) NOT NULL DEFAULT '0',  `views` int(11) unsigned NOT NULL DEFAULT '0',  `votes` int(11) unsigned NOT NULL DEFAULT '0',  `rating` int(11) unsigned NOT NULL DEFAULT '0',  `aorder` int(11) unsigned NOT NULL DEFAULT '0',  `create_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',  `update_date` datetime DEFAULT NULL,  `status` tinyint(1) NOT NULL DEFAULT '1',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]article_attachment`;
CREATE TABLE `[TB_PREFIX]article_attachment` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `article_id` int(10) NOT NULL DEFAULT '0',  `real_name` varchar(100) NOT NULL,  `saved_name` varchar(30) NOT NULL,  `file_type` varchar(10) DEFAULT NULL,  `file_size` float(8,2) DEFAULT NULL,  `rand_key` char(6) NOT NULL DEFAULT '',  `downloads` mediumint(8) NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]article_category`;
CREATE TABLE `[TB_PREFIX]article_category` (  `id` int(10) NOT NULL AUTO_INCREMENT,  `parent_id` int(10) NOT NULL DEFAULT '0',  `dept_id` int(5) NOT NULL DEFAULT '0',  `name` varchar(100) NOT NULL DEFAULT '',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]article_category` VALUES (1,0,1,'Knowledge Base');

DROP TABLE IF EXISTS `[TB_PREFIX]article_hotkey`;
CREATE TABLE `[TB_PREFIX]article_hotkey` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `keyword` varchar(20) NOT NULL DEFAULT '',  `activity` int(11) NOT NULL DEFAULT '0',  `last_ip` varchar(15) DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]article_setting`;
CREATE TABLE `[TB_PREFIX]article_setting` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `article_top_number` int(10) NOT NULL DEFAULT '6',  `article_latest_number` int(10) NOT NULL DEFAULT '6',  `article_search_number` int(3) NOT NULL DEFAULT '10',  `article_attach_on` tinyint(1) NOT NULL DEFAULT '0',  `article_attach_size` int(10) NOT NULL DEFAULT '10240',  `article_attach_number` int(10) NOT NULL DEFAULT '2',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED;
INSERT INTO `[TB_PREFIX]article_setting` VALUES (1,10,10,10,1,10240,2);

DROP TABLE IF EXISTS `[TB_PREFIX]article_view_log`;
CREATE TABLE `[TB_PREFIX]article_view_log` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `article_id` int(11) unsigned NOT NULL DEFAULT '0',  `client_ip` varchar(23) DEFAULT NULL,  `create_date` datetime DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]article_vote_log`;
CREATE TABLE `[TB_PREFIX]article_vote_log` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `article_id` int(11) unsigned NOT NULL DEFAULT '0',  `client_ip` varchar(23) DEFAULT NULL,  `create_date` datetime DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]canned`;
CREATE TABLE `[TB_PREFIX]canned` (  `id` int(10) NOT NULL AUTO_INCREMENT,  `dept_id` int(5) NOT NULL DEFAULT '0',  `title` varchar(50) NOT NULL,  `content` text NOT NULL,  `corder` int(10) NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]canned` VALUES (1,1,'The Canned Response','Our staff has escalated your ticket to our senior level. Please don\'t worry and we will give you the feedback within the next 24 hours. Thanks for your time and understanding. If you have any other question, please contact us with free.\n',10);
INSERT INTO `[TB_PREFIX]canned` VALUES (2,1,'Wait For A While','Our co-workers are out of office, and when they come back, we will solve your problem at the first time. If you have any other question, please contact us with free and we will solve them all in one time.\n',20);
INSERT INTO `[TB_PREFIX]canned` VALUES (3,1,'Give us your objective rate','If you feel your question has been solved, please give us your sincere rate to the staff who gives you the solutions. If you want to give some advice to us, please write down your comment and reply to us via Email. We will be appreciate of your rewards and suggestions. ',30);

DROP TABLE IF EXISTS `[TB_PREFIX]cronjob`;
CREATE TABLE `[TB_PREFIX]cronjob` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `feature` varchar(20) NOT NULL DEFAULT '',  `interval` mediumint(11) NOT NULL DEFAULT '120',  `update_date` int(11) NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]cronjob` VALUES (1,'delivery_retry',600,1320994321);
INSERT INTO `[TB_PREFIX]cronjob` VALUES (2,'ticket_close',86400,1320982682);
INSERT INTO `[TB_PREFIX]cronjob` VALUES (3,'ticket_reassign',3600,0);

DROP TABLE IF EXISTS `[TB_PREFIX]customer`;
CREATE TABLE `[TB_PREFIX]customer` (  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,  `user_id` int(11) unsigned NOT NULL DEFAULT '0',  `hierarchy_id` smallint(5) unsigned NOT NULL DEFAULT '0',  `first_name` varchar(20) DEFAULT NULL,  `last_name` varchar(20) DEFAULT NULL,  `email` varchar(100) DEFAULT NULL,  `area_id` int(11) unsigned NOT NULL DEFAULT '0',  `gender` tinyint(1) unsigned DEFAULT '0',  `birthday` date DEFAULT NULL,  `time_zone` varchar(5) CHARACTER SET utf8 NULL DEFAULT '+0000',  `company_name` varchar(50) DEFAULT NULL,  `telephone` varchar(50) DEFAULT NULL,  `address` varchar(180) DEFAULT NULL,  `web_site` varchar(50) DEFAULT NULL,  `create_date` datetime DEFAULT NULL,  `update_date` datetime DEFAULT NULL,  `status` tinyint(1) NOT NULL DEFAULT '1',  PRIMARY KEY (`id`), KEY `email` (`email`)) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]customer_area`;
CREATE TABLE `[TB_PREFIX]customer_area` (  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,  `name` varchar(30) DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=53 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]customer_area` VALUES (1,'Other');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (2,'Alabama');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (3,'Alaska');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (4,'Arizona');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (5,'Arkansas');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (6,'California');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (7,'Colorado');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (8,'Connecticut');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (9,'Delaware');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (10,'Florida');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (11,'Georgia');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (12,'Hawaii');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (13,'Idaho');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (14,'Illinois');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (15,'Indiana');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (16,'Iowa');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (17,'Kansas');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (18,'Kentucky');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (19,'Louisiana');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (20,'Maine');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (21,'Maryland');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (22,'Massachusetts');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (23,'Michigan');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (24,'Minnesota');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (25,'Mississippi');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (26,'Missouri');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (27,'Montana');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (28,'Nebraska');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (29,'Nevada');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (30,'New Hampshire');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (31,'New Jersey');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (32,'New Mexico');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (33,'New York');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (34,'North Carolina');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (35,'North Dakota');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (36,'Ohio');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (37,'Oklahoma');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (38,'Oregon');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (39,'Pennsylvania');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (40,'Rhode Island');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (41,'South Carolina');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (42,'South Dakota');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (43,'Tennessee');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (44,'Texas');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (45,'Utah');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (46,'Vermont');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (47,'Virginia');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (48,'Washington');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (49,'West Virginia');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (50,'Wisconsin');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (51,'Wyoming');
INSERT INTO `[TB_PREFIX]customer_area` VALUES (52,'France');

DROP TABLE IF EXISTS `[TB_PREFIX]customer_custom_content`;
CREATE TABLE `[TB_PREFIX]customer_custom_content` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `customer_id` int(10) NOT NULL,  `field_id` int(2) NOT NULL,  `content` varchar(255) NOT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]customer_custom_field`;
CREATE TABLE `[TB_PREFIX]customer_custom_field` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `name` varchar(100) NOT NULL,  `type` varchar(10) NOT NULL,  `width` varchar(3) DEFAULT NULL,  `height` varchar(3) DEFAULT NULL,  `preset` varchar(255) DEFAULT NULL,  `forder` int(10) NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]customer_hierarchy`;
CREATE TABLE `[TB_PREFIX]customer_hierarchy` (  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,  `name` varchar(50) DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]customer_hierarchy` VALUES (1,'Other');
INSERT INTO `[TB_PREFIX]customer_hierarchy` VALUES (2,'Wandering');
INSERT INTO `[TB_PREFIX]customer_hierarchy` VALUES (3,'Need-Based');
INSERT INTO `[TB_PREFIX]customer_hierarchy` VALUES (4,'Impulse Buying');
INSERT INTO `[TB_PREFIX]customer_hierarchy` VALUES (5,'Discount');
INSERT INTO `[TB_PREFIX]customer_hierarchy` VALUES (6,'Repeat');
INSERT INTO `[TB_PREFIX]customer_hierarchy` VALUES (7,'Potential');
INSERT INTO `[TB_PREFIX]customer_hierarchy` VALUES (8,'Loyal');

DROP TABLE IF EXISTS `[TB_PREFIX]department`;
CREATE TABLE `[TB_PREFIX]department` (  `id` int(10) NOT NULL AUTO_INCREMENT,  `name` varchar(50) NOT NULL DEFAULT '',  `working_week` varchar(30) NOT NULL DEFAULT '1, 2, 3, 4, 5',  `working_hours` varchar(100) NOT NULL DEFAULT '8:30-12:00, 13:30-18:00',  `dorder` int(10) NOT NULL DEFAULT '0',  `[TB_PREFIX]active` tinyint(1) NOT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]department` VALUES (1,'Support Department','0,1,2,3,4,5,6','00:00-23:59,-,-',10,1);

DROP TABLE IF EXISTS `[TB_PREFIX]email_account`;
CREATE TABLE `[TB_PREFIX]email_account` (  `id` int(10) NOT NULL AUTO_INCREMENT,  `related_id` smallint(6) NOT NULL DEFAULT '0',  `from_name` varchar(50) DEFAULT NULL,  `email_address` varchar(50) DEFAULT NULL,  `pop_host` varchar(50) DEFAULT NULL,  `pop_port` smallint(6) DEFAULT '110',  `pop_username` varchar(50) DEFAULT '',  `pop_password` varchar(20) DEFAULT NULL,  `pop_authtype` tinyint(3) DEFAULT '0',  `pop_withssl` tinyint(1) DEFAULT '0',  `smtp_host` varchar(100) NOT NULL,  `smtp_port` int(11) NOT NULL,  `smtp_username` char(60) NOT NULL,  `smtp_password` varchar(40) NOT NULL,  `smtp_authtype` tinyint(3) DEFAULT '0',  `smtp_withssl` tinyint(1) DEFAULT '0',  `signature` text,  `leave_day` smallint(6) DEFAULT '9999',  `status` tinyint(3) DEFAULT '1',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]email_account` VALUES (1,1,NULL,'tester@phpkode.info','pop.phpkode.info',110,'tester@phpkode.info','tester',0,0,'smtp.phpkode.info',25,'tester@phpkode.info','tester',0,0,'<div>\n  <p>If you are having any problem, please do not hesitate to contact us. We will be happy to assist you. <br />\n    <br />\n    Best Regards,<br />\n    <br />\n    Emily<br />\n    iKode Support Dept<br />\n    --------------------------------<br />\n    <a title=\"iKode Newsletter Server \" href=\"http://www.phpnewsletter.org/\" mce_href=\"http://www.phpnewsletter.org/\" target=\"_blank\">iKode Newsletter Server </a><br />\n    <a title=\"iKode HelpDesk X\" href=\"http://www.service-management-software.org/\"  target=\"_blank\">iKode HelpDesk X</a>  </p>\n</div>',9999,1);

DROP TABLE IF EXISTS `[TB_PREFIX]email_assign_log`;
CREATE TABLE `[TB_PREFIX]email_assign_log` (  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,  `email_address` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,  `filename` varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,  `notice` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,  `create_date` datetime DEFAULT NULL,  `status` tinyint(1) unsigned NOT NULL DEFAULT '1',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]email_delivery_log`;
CREATE TABLE `[TB_PREFIX]email_delivery_log` (  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,  `email_address` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,  `filename` varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,  `notice` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,  `create_date` datetime DEFAULT NULL,  `status` tinyint(1) unsigned NOT NULL DEFAULT '1',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED;

DROP TABLE IF EXISTS `[TB_PREFIX]email_retrieve_log`;
CREATE TABLE `[TB_PREFIX]email_retrieve_log` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `account_id` smallint(6) DEFAULT '0',  `message_uid` varchar(100) DEFAULT NULL,  `create_date` int(11) DEFAULT NULL,  `status` tinyint(1) NOT NULL DEFAULT '1',  PRIMARY KEY (`id`), UNIQUE KEY `message_uid` (`message_uid`)) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]email_rule`;
CREATE TABLE `[TB_PREFIX]email_rule` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `name` varchar(50) NOT NULL DEFAULT '',  `condition_id` tinyint(3) NOT NULL DEFAULT '1',  `condition_addition` varchar(255) DEFAULT NULL,  `action_id` tinyint(3) NOT NULL DEFAULT '0',  `action_addition` varchar(255) DEFAULT NULL,  `stop_next_rule` tinyint(3) NOT NULL DEFAULT '1',  `rorder` int(11) NOT NULL DEFAULT '0',  `status` tinyint(3) NOT NULL DEFAULT '1',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `[TB_PREFIX]email_rule_action`;
CREATE TABLE `[TB_PREFIX]email_rule_action` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `name` varchar(255) DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]email_rule_action` SET `name`='Move it to failed box';
INSERT INTO `[TB_PREFIX]email_rule_action` SET `name`='Delete message permanently';

DROP TABLE IF EXISTS `[TB_PREFIX]email_rule_condition`;
CREATE TABLE `[TB_PREFIX]email_rule_condition` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `name` varchar(255) DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
INSERT INTO `[TB_PREFIX]email_rule_condition` SET `name`='The message is from a specific mail delivery account';
INSERT INTO `[TB_PREFIX]email_rule_condition` SET `name`='The From line DOES NOT contain people';
INSERT INTO `[TB_PREFIX]email_rule_condition` SET `name`='The Subject line contains specific words';
INSERT INTO `[TB_PREFIX]email_rule_condition` SET `name`='The Subject line DOES NOT contain specific words';
INSERT INTO `[TB_PREFIX]email_rule_condition` SET `name`='The message body contains specific words';
INSERT INTO `[TB_PREFIX]email_rule_condition` SET `name`='The message body DOES NOT contain specific words';
INSERT INTO `[TB_PREFIX]email_rule_condition` SET `name`='The To line contains people';
INSERT INTO `[TB_PREFIX]email_rule_condition` SET `name`='The To line DOES NOT contain people';
INSERT INTO `[TB_PREFIX]email_rule_condition` SET `name`='The message has an attachment';
INSERT INTO `[TB_PREFIX]email_rule_condition` SET `name`='The message size is more than size';

DROP TABLE IF EXISTS `[TB_PREFIX]email_rule_log`;
CREATE TABLE `[TB_PREFIX]email_rule_log` (  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,  `email_address` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,  `filename` varchar(40) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,  `notice` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,  `create_date` datetime DEFAULT NULL,  `status` tinyint(1) unsigned NOT NULL DEFAULT '1',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED;

DROP TABLE IF EXISTS `[TB_PREFIX]license`;
CREATE TABLE `[TB_PREFIX]license` (  `id` tinyint(3) NOT NULL AUTO_INCREMENT,  `name` varchar(255) DEFAULT NULL,  `email` varchar(50) DEFAULT NULL,  `key` varchar(32) DEFAULT NULL,  `type_id` varchar(20) DEFAULT NULL,  `data` varchar(255) DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]license` VALUES (1,'demo',NULL,NULL,NULL,NULL);

DROP TABLE IF EXISTS `[TB_PREFIX]license_type`;
CREATE TABLE `[TB_PREFIX]license_type` (  `id` tinyint(3) NOT NULL AUTO_INCREMENT,  `name` varchar(20) DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]license_type` VALUES (1,'Free Edition');
INSERT INTO `[TB_PREFIX]license_type` VALUES (2,'Standard Edition');
INSERT INTO `[TB_PREFIX]license_type` VALUES (3,'Lite Edition');
INSERT INTO `[TB_PREFIX]license_type` VALUES (4,'Enterprise Edition');
INSERT INTO `[TB_PREFIX]license_type` VALUES (5,'Site Edition');

DROP TABLE IF EXISTS `[TB_PREFIX]message`;
CREATE TABLE `[TB_PREFIX]message` (  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,  `user_id` smallint(6) DEFAULT '0',  `customer_id` mediumint(9) NOT NULL DEFAULT '0',  `from_name` varchar(50) NOT NULL DEFAULT '0',  `from_address` varchar(50) DEFAULT NULL,  `reply_address` varchar(50) DEFAULT NULL,  `to_name` varchar(50) DEFAULT NULL,  `to_address` varchar(50) DEFAULT NULL,  `cc_list` varchar(255) DEFAULT NULL,  `bcc_list` varchar(255) DEFAULT NULL,  `sent_date` datetime DEFAULT NULL,  `sent_ip` varchar(15) NOT NULL DEFAULT '',  `priority` tinyint(1) NOT NULL DEFAULT '0',  `subject` varchar(255) NOT NULL,  `saved_name` varchar(20) DEFAULT NULL,  `retrieve_date` datetime NOT NULL,  `status` tinyint(1) NOT NULL DEFAULT '1',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]message_attachment`;
CREATE TABLE `[TB_PREFIX]message_attachment` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `message_id` int(10) NOT NULL DEFAULT '0',  `real_name` varchar(100) NOT NULL,  `saved_name` varchar(30) NOT NULL,  `file_type` varchar(10) DEFAULT NULL,  `file_size` float DEFAULT NULL,  `rand_key` char(6) NOT NULL DEFAULT '',  `downloads` mediumint(8) NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]message_body`;
CREATE TABLE `[TB_PREFIX]message_body` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `message_id` int(11) unsigned NOT NULL DEFAULT '0',  `body` longtext,  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]message_note`;
CREATE TABLE `[TB_PREFIX]message_note` (  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,  `message_id` int(10) unsigned NOT NULL DEFAULT '0',  `create_date` datetime NOT NULL,  `note` varchar(255) DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]message_template`;
CREATE TABLE `[TB_PREFIX]message_template` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `dept_id` smallint(6) NOT NULL DEFAULT '0',  `subject` varchar(100) NOT NULL,  `[TB_PREFIX]html` tinyint(1) NOT NULL DEFAULT '0',  `content` text NOT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]online_storage`;
CREATE TABLE `[TB_PREFIX]online_storage` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `user_id` smallint(6) NOT NULL DEFAULT '0',  `real_name` varchar(100) NOT NULL,  `file_type` varchar(10) DEFAULT NULL,  `file_size` int(11) DEFAULT NULL,  `saved_name` varchar(30) NOT NULL,  `create_date` datetime DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]respond_log`;
CREATE TABLE `[TB_PREFIX]respond_log` (  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,  `email_address` varchar(100) DEFAULT NULL,  `notice` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,  `create_date` int(1) DEFAULT '0',  `status` tinyint(1) unsigned NOT NULL DEFAULT '1',  PRIMARY KEY (`id`),  KEY `email_address` (`email_address`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]respond_template`;
CREATE TABLE `[TB_PREFIX]respond_template` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `key_word` varchar(3) NOT NULL DEFAULT '',  `subject` varchar(100) NOT NULL,  `description` varchar(255) DEFAULT NULL,  `content` mediumtext NOT NULL,  `[TB_PREFIX]html` tinyint(1) NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]respond_template` VALUES (1,'STO','[%TICKET_PREFIX% %TICKETID%] %SUBJECT%','The submitting ticket opened','Hi %TONAME%,<br />\n<br />\n<p>\n\tYour request for support has been created and assigned the ticket number:\n</p>\n<p>\n\t---------------------------------------------------------\n</p>\nTicket ID :  %TICKETID%<br />\nKey:  %TICKETKEY%<br />\n---------------------------------------------------------<br />\nOne of our representatives will follow-up with you as soon as possible.<br />\n<br />\nYou can view this ticket\'s progress online here: <span></span><a href=\"%VIEWURL%\" target=\"_blank\">%VIEWURL%</a><br />\n<br />\nIMPORTANT: If you wish to send additional comments or information regarding this issue, please do not open a new ticket. Simply login using the link above and update the ticket.<br />\n<br />\n%SIGNATURE%<br />\n<br />\nCreated date: %DATETIME%',1);
INSERT INTO `[TB_PREFIX]respond_template` VALUES (2,'NRT','[%TICKET_PREFIX% %TICKETID%] %SUBJECT%','The staff has replied to the ticket','<p>\n\tHi %TONAME%,\n</p>\n<p>\n\t<br />\n</p>\n<p>\n\tOur staff has just replied to your ticket:\n</p>\n<p>\n\t<br />\n</p>\n%MESSAGE%<br />\n<br />\nYour ticket sign in information:<br />\n---------------------------------------------------------<br />\nTICKET ID : %TICKETID%<br />\nKEY : %TICKETKEY%<br />\n---------------------------------------------------------<br />\n<br />\nYou can view the ticket here:<br />\n<a href=\"%VIEWURL%\" target=\"_blank\">%VIEWURL%</a><br />\n<br />\nWe hope this response has sufficiently answered your questions. If not, please do not send another email. Instead, reply to this email or login to your account for a complete archive of all your support requests and responses.<br />\n<br />\n%SIGNATURE%<br />\n<br />\nReplied date: %DATETIME%',1);
INSERT INTO `[TB_PREFIX]respond_template` VALUES (3,'STC','[%TICKET_PREFIX% %TICKETID%] %SUBJECT%','The submitting ticket automatic closed','Hi %TONAME%,<br />\n<br />\nThis is to inform you that the ticket # %TICKETID% has been closed since the ticket was inactive for last 48 hours. Although the ticket has been closed, you can view the ticket in the \"Closed Tickets\" in the future for reference purposes.<br />\n<br />\n<a href=\"%VIEWURL%\" target=\"_blank\">%VIEWURL%</a><br />\n<br />\n<p>\n\tIn future if you face a similar problem, you can open the same ticket again by clicking on the link below. We recommend this as this increases the support speed.\n</p>\n<p>\n\t<br />\n</p>\n<p>\n\t%SIGNATURE%\n</p>\n<p>\n\t<br />\n</p>\n<p>\n\tClosed date: %DATETIME%\n</p>\n<p>\n\t<br />\n</p>',1);

DROP TABLE IF EXISTS `[TB_PREFIX]setting`;
CREATE TABLE `[TB_PREFIX]setting` (  `id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,  `company_name` varchar(50) DEFAULT NULL,  `page_title` varchar(255) NOT NULL DEFAULT '',  `site_url` varchar(255) NOT NULL DEFAULT '',  `site_copyright` varchar(255) DEFAULT NULL,  `software_name` varchar(50) DEFAULT NULL,  `software_version` varchar(8) DEFAULT '3.0',  `software_edition` varchar(20) DEFAULT NULL,  `software_url` varchar(255) NOT NULL DEFAULT '',  `software_copyright` varchar(100) DEFAULT NULL,  `has_lastname` tinyint(3) NOT NULL DEFAULT '1',  `use_captcha` tinyint(3) DEFAULT '0',  `language` varchar(30) NOT NULL DEFAULT 'english',  `installation_path` varchar(100) DEFAULT NULL,  `template_path` varchar(50) DEFAULT NULL,  `attach_path` varchar(50) DEFAULT NULL,  `upload_path` varchar(50) DEFAULT NULL,  `backup_path` varchar(50) DEFAULT NULL,  `outbox_path` varchar(100) DEFAULT NULL,  `inbox_path` varchar(100) DEFAULT NULL,  `retrybox_path` varchar(100) DEFAULT NULL,  `failedbox_path` varchar(100) DEFAULT NULL,  `idle_offline` smallint(6) NOT NULL DEFAULT '300',  `time_zone` varchar(5) CHARACTER SET utf8 NULL DEFAULT '+0000',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]setting` VALUES (1,'iKode Inc','iKode HelpDesk X','[admin_website]','Copyright © iKode Software Technology Co., Ltd. ','iKode HelpDesk X','3.1','-','[admin_website]','Copyright &copy; 2011 iKode Software Technology Co., Ltd.',1,1,'english','[admin_installation_path]','./media/template/','./attachment/','./upload/','./backup/','./mailbox/outbox/','./mailbox/inbox/','./mailbox/retrybox/','./mailbox/failedbox/',300,8);

DROP TABLE IF EXISTS `[TB_PREFIX]sign_log`;
CREATE TABLE `[TB_PREFIX]sign_log` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `username` varchar(20) DEFAULT NULL,  `client_ip` varchar(15) DEFAULT NULL,  `create_date` datetime DEFAULT NULL,  `status` tinyint(1) NOT NULL DEFAULT '1',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]ticket`;
CREATE TABLE `[TB_PREFIX]ticket` (  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,  `customer_id` mediumint(9) NOT NULL DEFAULT '0',  `dept_id` int(5) NOT NULL DEFAULT '0',  `user_id` int(10) DEFAULT '0',  `priority` tinyint(1) NOT NULL DEFAULT '0',  `subject` varchar(255) NOT NULL,  `message` text NOT NULL,  `create_date` datetime NOT NULL,  `update_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',  `client_ip` varchar(20) NOT NULL DEFAULT '',  `rand_key` char(6) NOT NULL DEFAULT '',  `status` tinyint(1) NOT NULL DEFAULT '1',  `locked` tinyint(1) NOT NULL DEFAULT '0',  `rating` tinyint(1) unsigned NOT NULL DEFAULT '0',  `removed` tinyint(3) NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]ticket_attachment`;
CREATE TABLE `[TB_PREFIX]ticket_attachment` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `ticket_id` int(10) NOT NULL DEFAULT '0',  `real_name` varchar(100) NOT NULL,  `saved_name` varchar(30) NOT NULL,  `file_type` varchar(10) DEFAULT NULL,  `file_size` float(11,2) DEFAULT NULL,  `rand_key` char(6) NOT NULL DEFAULT '',  `downloads` mediumint(8) NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]ticket_autoclose_log`;
CREATE TABLE `[TB_PREFIX]ticket_autoclose_log` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `create_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',  `counts` mediumint(5) unsigned NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED;

DROP TABLE IF EXISTS `[TB_PREFIX]ticket_note`;
CREATE TABLE `[TB_PREFIX]ticket_note` (  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,  `ticket_id` int(10) unsigned NOT NULL DEFAULT '0',  `user_id` int(10) unsigned NOT NULL DEFAULT '0',  `note` varchar(255) DEFAULT NULL,  `create_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',  `update_date` datetime DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]ticket_reply`;
CREATE TABLE `[TB_PREFIX]ticket_reply` (  `id` int(10) NOT NULL AUTO_INCREMENT,  `type` tinyint(3) NOT NULL DEFAULT '0',  `ticket_id` int(10) NOT NULL,  `user_id` int(11) NOT NULL DEFAULT '0',  `message` text NOT NULL,  `create_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',  `update_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',  `deliveries` tinyint(3) NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]ticket_reply_attachment`;
CREATE TABLE `[TB_PREFIX]ticket_reply_attachment` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `reply_id` int(10) NOT NULL DEFAULT '0',  `real_name` varchar(100) NOT NULL,  `saved_name` varchar(30) NOT NULL,  `file_type` varchar(10) DEFAULT NULL,  `file_size` float DEFAULT NULL,  `rand_key` char(6) NOT NULL DEFAULT '',  `downloads` mediumint(8) NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `[TB_PREFIX]ticket_setting`;
CREATE TABLE `[TB_PREFIX]ticket_setting` (  `id` smallint(3) unsigned NOT NULL AUTO_INCREMENT,  `ticket_autoclose_day` int(10) NOT NULL DEFAULT '5',  `ticket_attach_on` tinyint(1) NOT NULL DEFAULT '0',  `ticket_attach_size` int(10) NOT NULL DEFAULT '10240',  `ticket_attach_number` int(10) NOT NULL DEFAULT '2',  `ticket_auto_response` tinyint(3) NOT NULL DEFAULT '0',  `ticket_response_interval` int(11) NOT NULL DEFAULT '3600',  `ticket_idle_nonresponse` smallint(6) NOT NULL DEFAULT '3600',  `ticket_id_prefix` varchar(20) NOT NULL DEFAULT 'TICKET ID:',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]ticket_setting` VALUES (1,5,1,2048,2,0,3600,300,'Ticket ID: ');

DROP TABLE IF EXISTS `[TB_PREFIX]user`;
CREATE TABLE `[TB_PREFIX]user` (  `id` int(11) NOT NULL AUTO_INCREMENT,  `username` varchar(30) COLLATE utf8_unicode_ci NOT NULL,  `password` varchar(32) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',  `email` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,  `first_name` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,  `last_name` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,  `[TB_PREFIX]active` tinyint(1) NOT NULL,  `group_id` tinyint(1) NOT NULL DEFAULT '0',  `create_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',  `update_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',  `expire_date` date DEFAULT NULL,  `last_login` datetime DEFAULT NULL,  `login_ip` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,  `rand_key` varchar(6) COLLATE utf8_unicode_ci DEFAULT NULL,  `reset_key` varchar(6) COLLATE utf8_unicode_ci DEFAULT NULL,  `online` int(11) unsigned NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]user` VALUES (1,'[admin_username]','[admin_password]','[admin_email]','Vincent','Wong',1,4,'0000-00-00 00:00:00','0000-00-00 00:00:00','2030-12-30','0000-00-00 00:00:00','0.0.0.0','vr3jDA','',0);

DROP TABLE IF EXISTS `[TB_PREFIX]user_group`;
CREATE TABLE `[TB_PREFIX]user_group` (  `id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,  `name` varchar(20) DEFAULT NULL,  `feature` varchar(255) DEFAULT NULL,  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]user_group` VALUES (1,'Guest',NULL);
INSERT INTO `[TB_PREFIX]user_group` VALUES (2,'Staff',NULL);
INSERT INTO `[TB_PREFIX]user_group` VALUES (3,'Group Manager',NULL);
INSERT INTO `[TB_PREFIX]user_group` VALUES (4,'Administration',NULL);

DROP TABLE IF EXISTS `[TB_PREFIX]user_profile`;
CREATE TABLE `[TB_PREFIX]user_profile` (  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,  `user_id` smallint(6) unsigned NOT NULL DEFAULT '0',  `dept_id` int(5) NOT NULL DEFAULT '0',  `company_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Your company name',  `company_address` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,  `website` varchar(120) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT 'http://',  `credit_type` tinyint(3) unsigned NOT NULL DEFAULT '2',  `credits` int(11) unsigned NOT NULL DEFAULT '100',  `payment_type` tinyint(3) unsigned NOT NULL DEFAULT '1',  `time_zone` varchar(5) CHARACTER SET utf8 NULL DEFAULT '+0000',  `per_count` smallint(6) NOT NULL DEFAULT '20',  `language` varchar(10) NOT NULL DEFAULT 'english',  `signature`  tinytext NULL,  `avatar` varchar(20) NOT NULL DEFAULT '',  `backup_user` smallint(255) NOT NULL DEFAULT '0',  PRIMARY KEY (`id`)) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
INSERT INTO `[TB_PREFIX]user_profile` VALUES (1,1,1,'Your company name','112#, CENTER OF PRIVATE TECHNOLOGY INNOVATION','http://www.ikode.org/',1,100000,1,0,0,'english',NULL,'avatar_none.jpg',0);
