<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><?php $lang['update_user'] ?> - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/user.js"></script>
        <script type="text/javascript">
            $(document).ready(function() {
                $("input[class='is_active'][value='<?php echo $user["is_active"] ?>']").attr('checked', true);
                $("#dept_id").val(<?php echo $user['dept_id'] ?>);
                $("#group_id").val(<?php echo $user['group_id'] ?>);
                $("#language").val(<?php echo $user['language'] ?>);
            });
        </script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
            <div id="location">
                <ul>
                    <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                    <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                    <li><a  href="./index.php?c=user"><?php echo($lang['manage_users']); ?></a>/<?php echo($lang['update_user'] ); ?></li>
                </ul>
            </div>
            <div id="wrapper">
                <div id="leftside">
                    <div id="nav_profile">                
                        <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                        <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                        <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                    </div>
                    <div class="clear"></div>
                    <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                    <div class="clear"></div>

                    <div>
                        <?php echo($menu); ?>
                    </div>
                </div>
                <div id="rightside">
                    <div id="content">
                        <form action="./index.php?c=user&m=update" method="post" name="updateUser" id="updateUser">
                            <label><?php echo($lang['first_name']); ?>:<span class="required"></span></label>
                            <p>
                                <input name="user[first_name]" type="text" class="form-input" id="first_name" size="50" maxlength="20" value="<?php echo($user["first_name"]); ?>" onclick="return clickIpt($(this))" />
                            </p>
                            <?php
                              if ($setting['has_lastname'] == 1) {
                                  ?>
                                  <label><?php echo($lang['last_name']); ?>:<span class="required"></span></label>
                                  <p>
                                      <input name="user[last_name]" type="text" class="form-input" id="last_name" size="50" maxlength="20" value="<?php echo($user["last_name"]); ?>" onclick="return clickIpt($(this))" />
                                  </p>
                                  <?php
                              }
                            ?>
                            <label><?php echo($lang['email']); ?>:<span class="required"></span> </label>
                            <p>
                                <input name="user[email]" type="text" class="form-input" id="email" size="50" maxlength="50" value="<?php echo($user["email"]); ?>"  onblur="return checkEmailExist($(this).val(), <?php echo($user["id"]); ?>);" onclick="return clickIpt($(this))" />
                                <span id="check_email"><img src="./media/images/spacer.gif" alt="" class="check-exist" /></span>
                            </p>
                            <label>
                            </label><label><?php echo($lang['username']); ?><span class="required"></span> </label>

                            <p>
                                <input name="user[username]" type="text"  class="form-input" id="username" size="50" maxlength="20" value="<?php echo($user["username"]); ?>"  onblur="return checkUserExist($(this).val(), <?php echo($user["id"]); ?>);" onclick="return clickIpt($(this))" />
                                <span id="check_username"><img src="./media/images/spacer.gif" alt=""  class="check-exist" /></span>
                            </p>

                            <label><?php echo($lang['password']); ?> : <span class="required"></span> </label>
                            <p>
                                <input name="user[password]" type="text" class="form-input" id="password" size="50" maxlength="20" value="" onclick="return clickIpt($(this))" />
                            </p>

                            <label> <?php echo($lang['department']); ?>: </label>
                            <select name="profile[dept_id]" id="dept_id">
                                <?php foreach ($department_list as $department) {
                                      ?>
                                      <option value="<?php echo $department['id'] ?>"><?php echo $department['name'] ?></option>
                                  <?php } ?>
                            </select>
                            <label>User Group: </label>
                            <select name="user[group_id]" id="group_id">
                                <?php foreach ($group_list as $group) {
                                      ?>
                                      <option value="<?php echo $group['id'] ?>"><?php echo $group['name'] ?></option>
                                  <?php } ?>
                            </select>
                            <label>Language: </label>
                            <select name="profile[language]" id="language">
                                <?php
                                  for ($i = 0; $i < count($language_list); $i++) {
                                      echo "<option value='" . $language_list[$i] . "'>" . strtoupper($language_list[$i]) . "</option>";
                                  }
                                ?>
                            </select>

                            <label><?php echo($lang['activation']); ?> :<span class="required"></span> </label>
                            <p>

                                <input type="radio" name="user[is_active]" class="is_active" value="1"/>YES
                                <input type="radio" name="user[is_active]" class="is_active" value="0" /> NO

                            </p>
                            <div class="bottom-options">
                                <input name="submit_btn" type="submit" class="btn big btn-blue" id="submit_btn"   value="<?php echo($lang['update_user']); ?>" />
                            </div>
                            <p>&nbsp;</p>
                            <input name="user_id" type="hidden" value="<?php echo($user["user_id"]); ?>" />
                        </form>
                    </div>
                    <div id="footer">
                        <div id="footer_content"> <span class="left"> <?php echo($setting['software_copyright']); ?> </span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                    </div>
                </div>
            </div>
            <div class="clear"></div>
            <div id="notification-box">
                <div id="notification"></div>
            </div>
			<div id="onlinetimer"></div>
        </body>
</html>
