<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><?php echo($lang['department']); ?>-<?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <link rel="stylesheet" href="./media/css/jquery.jmodal.css" type="text/css" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/department.js"></script>
        <script type="text/javascript" src="./media/js/jquery.jmodal.js"></script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" />
                    </span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
        <span id="search_btn">
            <div id="location">
                <ul>
                    <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                    <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                    <li><a href="./index.php?c=department"><?php echo($lang['department']); ?></a></li>
                </ul>
            </div>
            <div id="wrapper">
                <div id="leftside">
                    <div id="nav_profile"> <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                        <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                        <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                    </div>
                    <div class="clear"></div>
                    <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                    <div class="clear"></div>
                    <div> <?php echo($menu); ?> </div>
                </div>
                <div id="rightside">
                    <div id="content">
                        <div id="list_info">
                            <div class="quick_button"><a href="./index.php?c=department&m=add" class="btn-link"><span>Add Department</span></a></div>
                            <div class="record_count"><?php echo($lang['result']); ?>: <span id="cur_number"><?php echo($record_count); ?></span></div>
                        </div>
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" id="tablehover">
                            <tr>
                                <th width="60">Status</th>
                                <th><?php echo($lang['name']); ?></th>
                                <th><?php echo($lang['email']); ?></th>
                                <th width="100">User Counts</th>
                                <th width="100"><?php echo($lang['tickets']); ?></th>
                                <th colspan="3"><?php echo($lang['options']); ?></th>
                            </tr>
                            <?php
                              $i = 1;
                              foreach ($department_list as $val) {
                            ?>
                                  <tr>
                                      <td><img src="./media/images/public_status_<?php echo($val['is_active']); ?>.png" width="16" height="16" alt="Status" /></td>
                                      <td><?php echo $val['name'] ?></td>
                                      <td><?php echo $val['email_address'] ?></td>
                                      <td><a href="./index.php?c=user&dept_id=<?php echo $val['id'] ?>" title="User List"><?php echo $val['counts'] ?></a></td>
                                      <td><a href="./index.php?c=ticket&data[dept_id]=<?php echo $val['id'] ?>" title="Ticket List"><?php echo $val['tickets'] ?></a></td>
                                      <td width="16" align="center"><?php if ($i > 1) { ?>
                                              <img src="./media/images/move_up.png" alt="Move Up" width="16" height="16" border="0" class="btn-img" title="Move up" onclick="sortDept(<?php echo $val['id'] ?>, 'up')" />
                                    <?php } ?></td>
                                <td width="16" align="center"><?php if ($i < $record_count) { ?>
                                        <img src="./media/images/move_down.png" alt="Move Down" width="16" height="16" border="0" class="btn-img" title="Move down" onclick="sortDept(<?php echo $val['id'] ?>, 'down')" />
                                    <?php } ?></td>
                                <td width="210"><span class="action_btn add"><a href="./index.php?c=user&m=add&dept_id=<?php echo $val['id'] ?>" title="Add User"><?php echo $val['counts'] ?></a></span> <span class="action_btn edit"><a href="./index.php?c=department&m=edit&id=<?php echo $val['id'] ?>" title="Edit"></a></span>
                                    <span class="action_btn desable-<?php echo $val['is_active'] ?>"><a href="javascript:void(0)" onclick="disableDept(<?php echo $val['id'] ?>,<?php echo($val['is_active']); ?>)" title="<?php echo($lang['disable_alt'][$val['is_active']]); ?>"></a></span>
                                </td>
                            </tr>
                            <?php
                                    $i++;
                                }
                            ?>
                            </table>
                        </div>
                        <div id="footer">
                            <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                    </div>
                </div>
            </div>
            <div class="clear"></div>
            <div id="notification-box">
                <div id="notification"></div>
            </div>
        </span>
    			<div id="onlinetimer"></div>
        </body>
</html>
