<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Knowledgebase - <?php echo($setting['page_title']); ?></title>
        <link type="text/css" rel="stylesheet" href="./media/css/front.css" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.bxSlider.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($setting["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/front.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                $("#language").val('<?php echo $customer_lang ?>');					   
                $("#cate_id").val('<?php echo $cate_id ?>');
                $("#key_word").val('<?php echo $key_word ?>');
            }); 
        </script>
    </head>
    <body>
        <div id="wrapper">
            <div id="menu"> <span class="right"> Language:
                    <select name="language" id="language">
                        <?php for ($i = 0; $i < count($language_list); $i++) {
 ?>
                              <option value="<?php echo($language_list[$i]); ?>"><?php echo(strtoupper($language_list[$i])); ?></option>
<?php } ?>
                      </select>
                  </span> <span>
                      <ul>
                          <li><a href="./index.php?c=frontTicket&m=sign" title="Submit a new Ticket">Submit Ticket</a></li>
                          <li><a href="./index.php?c=frontTicket&m=ticketList" title="View Submitted Ticket">History Ticket</a></li>
                          <li><a href="./index.php?c=frontTicket&m=profile" title="Change My Profile Infomation">My Profile</a></li>
                          <li><a href="./index.php?c=frontArticle" title="Search Knowledge Base">Knowledge Base</a></li>
                          <li><a href="./index.php?c=frontTicket&m=signOut" title="Sign Out &amp; Return to Homepage">Sign Out</a></li>
                          <li>&nbsp;</li>
                      </ul>
                  </span>
                  <div class="clear"></div>
              </div>
              <div class="slider">
                  <ul id="banner">
                      <li><img src="./media/front/banner_1.jpg" width="768" height="260" alt="Banner" /></li>
                      <li><img src="./media/front/banner_2.jpg" width="768" height="260" alt="Banner" /></li>
                      <li><img src="./media/front/banner_3.jpg" width="768" height="260" alt="Banner" /></li>
                  </ul>
              </div>
              <div class="clear"></div>
              <div id="subnav">Customer Area / Article List</div>
              <div class="clear"></div>
              <div id="content">
                  <form action="index.php?c=frontArticle" method="get" enctype="application/x-www-form-urlencoded" name="searchArticle" target="_self" id="searchArticle">
                      <table width="100%" border="0" cellpadding="0" cellspacing="0">
                          <tr >
                              <td width="380" valign="middle"><input name="key_word" type="text" class="form-input" id="key_word" value="<?php echo($key_word); ?>" size="20" maxlength="30" style="width:120px" />
                                  <select name="cate_id" id="cate_id">
                                      <option value="0" selected="selected"><?php echo($lang['category']); ?></option>
<?php foreach ($category_list as $val) { ?>
                                    <option value="<?php echo($val["id"]); ?>"><?php echo(str_repeat("&nbsp;&nbsp;&nbsp;", $val["level"]) . $val["name"] . "(" . $val["counts"] . ")"); ?></option>
<?php } ?>
                                </select></td>
                            <td width="60" valign="baseline"><input name="go" type="image" id="search-btn" src="./media/images/search_btn.gif" />
                                <input name="c" type="hidden" value="frontArticle" />
                            </td>
                            <td align="right" id="total_rows"><?php echo($lang['result']); ?>: <?php echo($total_rows); ?></td>
                        </tr>
                    </table>
                </form>
                <?php if (empty($article_list)) { ?>
                                    <div class="err-info"><?php echo($lang['no_match_record']); ?></div>
                <?php
                                } else {
                                    foreach ($article_list as $val) {
                ?>
                                        <div class="article-list">
                                            <div class="art-title">
                                                <a href="./index.php?c=frontArticle&m=view&id=<?php echo $val['id'] ?>"><?php echo stripcslashes($val['subject']) ?></a>
                                            </div>
                                            <div class="post-info"> <span class="right"><img src='media/images/star_<?php echo($val['vote_img']); ?>.png' alt="" name="star_img" width="86" height="16" align="absmiddle" id="star_img" /></span>
                                                <span><?php echo($lang['created_on']); ?> <?php echo(($val['create_date'])); ?> | <?php echo($lang['views']); ?>: <?php echo ($val['views']) ?> | <?php echo($lang['votes']); ?>: <font id="votes"><?php echo ($val['votes']) ?></font></span> </div>
                                        </div>
                <?php } ?>
                <?php } ?>
                                <div id="page-list"><?php echo($page_link); ?></div>
                                <p>&nbsp;</p>
                                <div class="form-submit">
                                    <input name="Back_btn" type="button" id="Back_btn" value="<?php echo($lang['go_back']); ?>" onclick="window.location.href='./'" />
                                </div>
                            </div>
                            <div id="copyright"><?php echo($setting['site_copyright']); ?></div>
        </div>

    </body>
</html>
