<?php
  $php_version = phpversion();
  $installer_os = getenv('OS');

  $installer_gd = array();
  $installer_gd["GD Version"] = "";

  if (extension_loaded("gd")) {
      $installer_gd = gd_info();
  }

  if (function_exists('zend_optimizer_version')) {
      $zend_optimizer = zend_optimizer_version();
  } else {
      $zend_optimizer = "";
  }

  if (function_exists('zend_loader_version')) {
      $zend_loader = zend_loader_version();
  } else {
      $zend_loader = "";
  }


  $installer_server_software = $_SERVER['SERVER_SOFTWARE'];
  $installer_host_address = (empty($_SERVER['REMOTE_ADDR']) ? $_SERVER['REMOTE_HOST'] : $_SERVER['REMOTE_ADDR']);
  $installer_server_name = $_SERVER['SERVER_NAME'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
      <head>
          <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
          <title>Setup 2 - <?php echo $set["product_name"] . " " . $set["product_version"]; ?></title>
          <link href="style.css" rel="stylesheet" type="text/css" />
          <script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>
          <script type="text/javascript" src="js/jquery.form.js"></script>
          <script type="text/javascript" src="js/kode_functions.js"></script>
      </head>
      <body>
          <div id="container">
              <div id="head">
                  <div id="banner"><img src="images/top_head.gif" width="200" height="120" alt="Top" /></div>
                  <div id="logo"><img src="images/logo.png" width="216" height="80" alt="Logo" /></div>
              </div>
              <div id="area">Version: <?php echo $set["product_version"]; ?> </div>
              <div id="main">
                  <div id="content_left">
                      <div class="title"><?php echo($lang['server_information']); ?></div>
                      <div class="table">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                              <tr>
                                  <td width="120" align="left"><strong><?php echo($lang['parameters']); ?></strong></td>
                                  <td><strong><?php echo($lang['vaules']); ?></strong></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['server_name']); ?>:</td>
                                  <td><?php echo $installer_server_name; ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['server_OS']); ?>:</td>
                                  <td><?php echo (empty($installer_os) ? "UNKNOW" : $installer_os); ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['engine']); ?>:</td>
                                  <td><?php echo $installer_server_software; ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['php_version']); ?>:</td>
                                  <td><?php echo $php_version; ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['server_root']); ?>:</td>
                                  <td><?php echo $BASE_PATH; ?></td>
                              </tr>
                          </table>
                      </div>
                      <div class="title"><?php echo($lang['php_version']); ?></div>
                      <div class="table">
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                  <td width="120"><?php echo($lang['required']); ?>:</td>
                                  <td colspan="2"><?php echo $set["php_version_required"]; ?>.x</td>
                              </tr>
                              <tr>
                                  <td>You have:</td>
                                  <td><?php echo $php_version; ?></td>
                                  <td>
                                    <?php echo (floatval($php_version) >= $set["php_version_required"] ? "<span class='kode_success'></span>" : "<span class='kode_failed'></span>"); ?></td>
                              </tr>
                          </table>
                      </div>
                      <div class="title"><?php echo($lang['php_extensions']); ?></div>
                      <div class="kode_clear"></div>
                      <div class="table">
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                  <td width="120"><?php echo($lang['directive_title']); ?></td>
                                  <td align="center"><?php echo($lang['required']); ?></td>
                                  <td align="center"><?php echo($lang['current']); ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['mysql_support']); ?></td>
                                  <td align="center"><?php echo ($set["mysql_required"] ? "<span class='kode_success'></span>" : "<span class='kode_failed'></span>"); ?></td>
                                  <td align="center"><?php echo (function_exists('mysql_connect') ? "<span class='kode_success'></span>" : "<span class='kode_failed'></span>"); ?></td>
                              </tr>
                              <tr>
                                  <td><?php echo($lang['gd_library']); ?></td>
                                  <td align="center"><?php echo ($set["gd_required"] ? "<span class='kode_success'></span>" : "<span class='kode_failed'></span>"); ?></td>
                                  <td align="center"><?php echo ($installer_gd["GD Version"] ? "<span class='kode_success'></span>" : "<span class='kode_failed'></span>"); ?></td>
                              </tr>
                              <tr>
                                  <td><?php if ($php_version < 5.3) { ?>Zend Optimizer <? } else { ?> Guard Loader <?php } ?></td>
                                  <td align="center"><?php echo ($set["zend_optimizer"] ? "<span class='kode_success'></span>" : "<span class='kode_failed'></span>"); ?></td>
                                  <td align="center"><?php echo (($zend_optimizer || $zend_loader) ? "<span class='kode_success'></span>" : "<span class='kode_failed'></span>"); ?></td>
                              </tr>
                          </table>
                      </div>
                      <div class="title"><?php echo($lang['file_permissions']); ?></div>
                      <div class="kode_clear"></div>
                      <div class="table">
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                  <td width="120"><?php echo($lang['folder']); ?></td>
                                  <td align="center"><?php echo($lang['read']); ?></td>
                                  <td align="center" ><?php echo($lang['write']); ?></td>
                              </tr>
                            <?php
                                      $result = '';
                                      if (!is_writable($set["config_file_path"])) {
                                          $result .="<li>" . sprintf($lang['error_666'], $set["config_file_path"]) . "</li>";
                                      }

                                      if (empty($zend_optimizer) && empty($zend_loader)) {
                                          $result .= "<li>Zend Optimizer (or Zend Guard Loader, PHP 5.3.x) Zend Optimizer must be installed." . "</li>";
                                      }

                                      if (substr($php_version, 0, 3) != $set["php_version_required"]) {
                                          $result .= "<li>Oops! The program you have does not match with your PHP version. <br />";
                                          $result .= "Please re-download for " . substr($php_version, 0, 3) . " edition at:<br />";
                                          $result .= "<a href='" . $set["product_official_site"] . "?in=installer' target='_blank'>" . $set["product_official_site"] . "</a></li>";
                                      }

                                      foreach ($set["make_dirs"] as $dir) {
                            ?>
                                          <tr>
                                              <td><?php echo $dir; ?></td>
                                <?php
                                          $rsta = "";
                                          $wsta = "";
                                          if (!file_exists($dir) || !is_dir($dir)) {
                                              if (@mkdir($dir, 0777)) {
                                                  @file_put_contents($dir . "/index.html", '');
                                              } else {
                                                  $result .= "<li>" . sprintf($lang['error_777'], $set["config_file_path"]) . "</li>";
                                                  $rsta = "Directory make failed.";
                                              }
                                          }

                                          $rsta = (is_readable($dir) ? "<span class='kode_success'></span>" : "<span class='kode_failed'></span>");
                                          $wsta = (is_writable($dir) ? "<span class='kode_success'></span>" : "<span class='kode_failed'></span>");
                                ?>
                                          <td align="center"><?php echo $rsta; ?></td><td align="center"><?php echo $wsta; ?></td>
                                      </tr>
                            <?php
                                      }
                            ?>
                                  </table>
                              </div>
                    <?php
                                      if ($result != "") {
                    ?>
                                          <div id="notice"><ul><?php echo($result); ?></ul></div>
                    <?php
                                      }
                    ?>
                                      <div class="btn-box">
                                          <input type="button" class="kode_button kode_button-green" value="<?php echo($lang['last_step']); ?>" onclick="window.location.href='./';" />
                        <?php
                                      if (empty($result)) {
                        ?>
                                          <input type="button" class="kode_button kode_button-blue" value="<?php echo($lang['next_step']); ?>" onclick="window.location.href='./?step=3';" />
                        <?php
                                      }
                        ?>
                                  </div>
                              </div>
                              <div id="content_right">
                                  <div  id="kode_step">
                                      <div id="title"><?php echo($lang['installation_steps']); ?></div>
                                      <ul>
                                          <li><?php echo($lang['license']); ?></li>
                                          <li class="now"><?php echo($lang['requirement']); ?></li>
                                          <li><?php echo($lang['parameters']); ?></li>
                                          <li><?php echo($lang['installing']); ?></li>
                                          <li><?php echo($lang['completed']); ?></li>
                                      </ul>
                                  </div>
                              </div>
                              <div class="spacer"></div>
                          </div>
                          <div id="footer">
                              <div id="copyright"><?php echo $set["product_copyright"] ?></div>
            </div>
        </div>
    </body>
</html>
