$(document).ready(function(){

    $("#replyTicket").submit(function(){
        var options = {
            beforeSubmit : checkReplyTicket,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText,3000);
                    setTimeout( function(){
                        window.location.reload(true);
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

    $("#updateTicket").submit(function(){
        var options = {
            beforeSubmit : checkUpdateTicket,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success', responseText,3000);
                    setTimeout( function(){
                        window.location.href ="index.php?c=ticket&m=view&id="+$("#id").val();
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

    $("#createNote").submit(function(){
        var options = {
            type : "post",
            beforeSubmit : checkCreateNote,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText,3000);
                    setTimeout( function(){
                        window.location.reload(true);
                    }, ( 2000 ) );
                }else{
                    showNotice('error',responseText,3000);
                }
            }
        };
        $(this).ajaxSubmit(options);

        return false;
    });

    $("#changeStatus").submit(function(){
        var options = {
            type : "post",
            beforeSubmit : checkChangeStatus,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 2000);
                //  $("TR_"+id).fadeOut(3000);
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);

        return false;
    });
    
    $("#updateSetting").submit(function(){
        var options = {
            beforeSubmit : checkUpdateSetting,
            success: function(responseText){
                if(responseText.indexOf('Error:') == -1){
                    showNotice('success',responseText, 3000);
                    window.location.reload(true);
                }else{
                    showNotice('error',responseText, 2000);
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });

});

function changeLock(id, locked){
    $.ajax({
        url : "index.php?c=ticket&m=changeLock",
        type : "get",
        dataType : "text",
        data : "id="+ id +"&locked="+locked,
        success:function(data){
            if(data.indexOf('Error:') == -1){
                showNotice('success',data,2000);
                setTimeout(function(){
                    window.location.reload(true);
                }, ( 1000 ) );
            }else{
                showNotice('error',data,2000);
            }
        }
    });
    return false;
}
function changeRemoved(id, removed){
    var tips = "";
    if(removed == 1){
        tips = dialog_recovery_confirm;
    }
    else{
        tips = dialog_del_confirm;
    }
    $.fn.jmodal({
        data: {
            innerText: id
        },
        title: dialog_information,
        content: tips,
        buttonText: {
            ok: dialog_button_yes,
            cancel: dialog_button_no
        },
        fixed: true,
        okEvent: function(data, args) {
            if(data.innerText > 0){
                $.ajax({
                    url : "index.php?c=ticket&m=changeRemoved",
                    type : "get",
                    dataType : "text",
                    data : "id="+ id +"&removed="+removed,
                    success:function(data){
                        if(data.indexOf('Error:') == -1){
                            showNotice('success',data,2000);
                            $("#TR_"+id).fadeOut(3000);
                            $("#cur_number").html(parseInt($("#cur_number").html()) - 1);
                        }else{
                            showNotice('error',data,2000);
                        }
                    }
                });
            }
        }
    });
}

function changeDept(id, dept_id){
    if(dept_id == null || dept_id == ""){
        return false;
    }
    $.ajax({
        url : "index.php?c=ticket&m=changeDept",
        type : "get",
        datatype : "text",
        data : "dept_id="+dept_id+"&id="+id,
        success:function (data){
            if(data.indexOf('Error:') == -1){
                showNotice('success',data, 2000);
                window.location.reload(true);
            }else{
                showNotice('error',data, 2000);
            }
        }
    })
    return false;
}

function changeStaff(id, staff){
    if(staff == null || staff == ""){
        return false;
    }
    $.ajax({
        url : "index.php?c=ticket&m=changeStaff",
        type : "get",
        datatype : "text",
        data : "user_id="+staff+"&id="+id,
        success:function (data){
            if(data.indexOf('Error:') == -1){
                showNotice('success',data, 2000);
                window.location.reload(true);
            }else{
                showNotice('error',data, 2000);
            }
        }
    });
    return false;
}

function changePriority(id, priority){
    $.ajax({
        url : "index.php?c=ticket&m=changePriority",
        type : "post",
        datatype : "text",
        data : "priority="+priority+"&id="+id,
        success:function (data){
            if(data.indexOf('Error:') == -1){
                showNotice('success',data, 2000);
                window.location.reload(true);
            }else{
                showNotice('error',data, 2000);
            }
        }
    });
    return false;
}

function changeStatus(id, status){
    var tips="";
    if(status==1){
        tips=dialog_recovery_confirm;
    }
    else{
        tips=dialog_close_confirm;
    }
    $.fn.jmodal({
        data: {
            innerText: id
        },
        title: dialog_information,
        content: tips,
        buttonText: {
            ok: dialog_button_yes,
            cancel: dialog_button_no
        },
        fixed: true,
        okEvent: function(data, args) {
            if(data.innerText > 0){
                $.ajax({
                    url : "index.php?c=ticket&m=changeStatus",
                    type : "get",
                    datatype : "text",
                    data : "id="+id + "&status="+ status,
                    success:function (data){
                        if(data.indexOf('Error:') == -1){
                            showNotice( 'success',data,2000);
                            window.location.reload(true);
                        }else{
                            showNotice( 'error',data,2000);
                        }
                    }
                })
            }
        }
    });
  
}

function checkUpdateTicket(){
    editor.sync();
    var c_subject = checkObjBlank("#subject");
    var c_message = checkObjBlank("#editor_message");

    if( c_subject &&  c_message){
        showNotice();
        return  true;
    }else{
        showNotice('error',required_error,2000);
        return false;
    }

}

function checkReplyTicket(){
    editor.sync();
    
    if(checkObjBlank("#editor_message")){
        showNotice();
        return  true;
    }else{
        showNotice('error',required_error,2000);
        return false;
    }
}

function checkCreateNote(){
    if(checkObjBlank("#note")){
        showNotice();
        return  true;
    }else{
        showNotice('error',error_note_required,2000);
        return false;
    }
}

function checkChangeStatus(){
    var select = '';
    $("input[type='checkbox'][name='ticket[]']:checked").each(function(){
        select += $(this).val()+',';
    });
    if(select == ''){
        showNotice( 'error',no_ticket_selected,2000);
        return false;
    }else{
        showNotice();
        return true;
    }
}


function removeReply(id){
    $.fn.jmodal({
        data: {
            innerText: id
        },
        title: dialog_information,
        content: dialog_del_confirm,
        buttonText: {
            ok: dialog_button_yes,
            cancel: dialog_button_no
        },
        fixed: true,
        okEvent: function(data, args) {
            if(data.innerText > 0){
                $.ajax({
                    url : "index.php?c=ticketReply&m=remove",
                    type : "get",
                    datatype : "text",
                    data : "id="+id,
                    success:function (data){
                        if(data.indexOf('Error:') == -1){
                            showNotice( 'success',data,2000);
                            setTimeout( function(){
                                window.location.reload(true);
                            }, ( 1000 ) );
                        }else{
                            showNotice( 'error',data,2000);
                        }
                    }
                })
            }
        }
    });
}


function getOneCanned(id,append){
    $.ajax({
        url : "index.php?c=canned&m=getOne",
        type : "get",
        dataType : "text",
        data : "id=" + id,
        success:function(data){
            if(append == 1){
                editor.insertHtml($("#editor_message").val() + "\n" + data);
            }
            else{
                editor.html(data);
            }
        }
    });
    return false;
}

function removeNote(id){
    $.fn.jmodal({
        data: {
            innerText: id
        },
        title: dialog_information,
        content: dialog_del_confirm,
        buttonText: {
            ok: dialog_button_yes,
            cancel: dialog_button_no
        },
        fixed: true,
        okEvent: function(data, args) {
            if(data.innerText > 0){
                $.ajax({
                    url : "index.php?c=ticketNote&m=remove",
                    type : "get",
                    datatype : "text",
                    data : "id="+id,
                    success:function (data){
                        if(data.indexOf('Error:') == -1){
                            showNotice( 'success',data,2000);
                            setTimeout( function(){
                                window.location.reload(true);
                            }, ( 1000 ) );
                        }else{
                            showNotice( 'error',data,2000);
                        }
                    }
                })
            }
        }
    });
}

function removeTicket(id){
    $.fn.jmodal({
        data: {
            innerText: id
        },
        title: dialog_information,
        content: dialog_del_confirm,
        buttonText: {
            ok: dialog_button_yes,
            cancel: dialog_button_no
        },
        fixed: true,
        okEvent: function(data, args) {
            if(data.innerText > 0){
                $.ajax({
                    url : "index.php?c=ticket&m=remove",
                    type : "get",
                    datatype : "text",
                    data : "id="+id,
                    success:function (data){
                        if(data.indexOf('Error:') == -1){
                            showNotice( 'success',data,2000);
                            window.location.reload(true);
                        }else{
                            showNotice( 'error',data,2000);
                        }
                    }
                })
            }
        }
    });
}

function deleteSelected(){
    var chk_value =[];
    $("input[name='ids[]']:checked").each(function(){
        chk_value.push($(this).val());
    });

    if(chk_value.length == 0){
        return false;
    }

    $.fn.jmodal({
        title: dialog_information,
        content: dialog_dellall_confirm,
        buttonText: {
            ok: dialog_button_yes,
            cancel: dialog_button_no
        },
        fixed: true,
        okEvent: function(data, args) {
            $.ajax({
                type: "POST",
                url: "index.php?c=ticket&m=deletePermanently",
                dataType: 'text',
                data: "ids="+chk_value,
                success: function(data){
                    if($.trim(data).indexOf('Error:') == -1){
                        showNotice( 'success',data,2000);
                        setTimeout(function() {
                            location.reload(true);
                        }, 2000);

                    }else{
                        showNotice( 'success',data,2000);
                    }
                }
            });
        }
    });

    return false;
}


function checkUpdateSetting(){
    var c_ticket_autoclose_day = checkObjBlank("#ticket_autoclose_day");
    var c_ticket_idle_nonresponse = checkObjBlank("#ticket_idle_nonresponse");
    var c_ticket_id_prefix = checkObjBlank("#ticket_id_prefix");

    if(c_ticket_autoclose_day && c_ticket_idle_nonresponse && c_ticket_id_prefix ){
        showNotice();
        return true;
    }else{
        showNotice( 'error',required_error,2000);
        return false;
    }

}

